<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>discover: /home/pere/src/debiancvs/pkg-discover/discover/trunk/include/discover/discover-conf.h Source File</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.4.2 -->
<div class="qindex"><a class="qindex" href="index.html">Main&nbsp;Page</a> | <a class="qindex" href="modules.html">Modules</a> | <a class="qindex" href="annotated.html">Data&nbsp;Structures</a> | <a class="qindex" href="dirs.html">Directories</a> | <a class="qindex" href="files.html">File&nbsp;List</a> | <a class="qindex" href="functions.html">Data&nbsp;Fields</a> | <a class="qindex" href="globals.html">Globals</a></div>
<div class="nav">
<a class="el" href="dir_000000.html">include</a>&nbsp;/&nbsp;<a class="el" href="dir_000001.html">discover</a></div>
<h1>discover-conf.h</h1><a href="discover-conf_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment">00001 
00010 <span class="comment">/* $Progeny$</span>
00011 <span class="comment"> *</span>
00012 <span class="comment"> * Copyright 2002 Hewlett-Packard Company</span>
00013 <span class="comment"> *</span>
00014 <span class="comment"> * Permission is hereby granted, free of charge, to any person obtaining a</span>
00015 <span class="comment"> * copy of this software and associated documentation files (the "Software"),</span>
00016 <span class="comment"> * to deal in the Software without restriction, including without limitation</span>
00017 <span class="comment"> * the rights to use, copy, modify, merge, publish, distribute, sublicense,</span>
00018 <span class="comment"> * and/or sell copies of the Software, and to permit persons to whom the</span>
00019 <span class="comment"> * Software is furnished to do so, subject to the following conditions:</span>
00020 <span class="comment"> *</span>
00021 <span class="comment"> * The above copyright notice and this permission notice shall be included in</span>
00022 <span class="comment"> * all copies or substantial portions of the Software.</span>
00023 <span class="comment"> *</span>
00024 <span class="comment"> * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
00025 <span class="comment"> * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
00026 <span class="comment"> * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL</span>
00027 <span class="comment"> * THE COPYRIGHT HOLDER(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
00028 <span class="comment"> * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING</span>
00029 <span class="comment"> * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER</span>
00030 <span class="comment"> * DEALINGS IN THE SOFTWARE.</span>
00031 <span class="comment"> */</span>
00032 
00033 <span class="preprocessor">#ifndef DISCOVER_CONF_H</span>
00034 <span class="preprocessor"></span><span class="preprocessor">#define DISCOVER_CONF_H</span>
00035 <span class="preprocessor"></span>
00036 <span class="preprocessor">#include &lt;<a class="code" href="discover_8h.html">discover/discover.h</a>&gt;</span>
00037 
00038 <span class="preprocessor">#ifdef __cplusplus</span>
00039 <span class="preprocessor"></span>    <span class="keyword">extern</span> <span class="stringliteral">"C"</span> {
00040 <span class="preprocessor">#endif</span>
00041 <span class="preprocessor"></span>
00042 <span class="keywordtype">void</span> <a class="code" href="group__conf.html#ga0">discover_conf_load</a>(<a class="code" href="structdiscover__error.html">discover_error_t</a> *status);
00043 <a class="code" href="structdiscover__bus__map.html">discover_bus_map_t</a> *<a class="code" href="group__conf.html#ga2">discover_conf_get_full_bus_map</a>(<a class="code" href="structdiscover__error.html">discover_error_t</a> *status);
00044 <a class="code" href="structdiscover__bus__map.html">discover_bus_map_t</a> *<a class="code" href="group__conf.html#ga4">discover_conf_get_bus_map</a>(<a class="code" href="group__types.html#ga16">discover_bus_t</a> bus,
00045                                               <a class="code" href="structdiscover__error.html">discover_error_t</a> *status);
00046 <a class="code" href="structdiscover__bus__map.html">discover_bus_map_t</a> *<a class="code" href="group__conf.html#ga3">discover_conf_get_bus_map_by_name</a>(<span class="keywordtype">char</span> *name,
00047                                                       <a class="code" href="structdiscover__error.html">discover_error_t</a> *status);
00048 
00049 <span class="keywordtype">void</span> <a class="code" href="group__conf.html#ga5">discover_conf_insert_url</a>(<span class="keywordtype">char</span> *url, <a class="code" href="structdiscover__error.html">discover_error_t</a> *status);
00050 <span class="keywordtype">void</span> <a class="code" href="group__conf.html#ga6">discover_conf_append_url</a>(<span class="keywordtype">char</span> *url, <a class="code" href="structdiscover__error.html">discover_error_t</a> *status);
00051 <a class="code" href="group__types.html#ga7">discover_xml_url_t</a> *<a class="code" href="group__conf.html#ga7">discover_conf_get_urls</a>(<a class="code" href="structdiscover__error.html">discover_error_t</a> *status);
00052 <span class="keywordtype">void</span> <a class="code" href="group__conf.html#ga8">discover_conf_free</a>(<span class="keywordtype">void</span>);
00053 
00054 <span class="keywordtype">char</span> *<a class="code" href="group__conf.html#ga9">discover_conf_get_bus_name</a>(<a class="code" href="group__types.html#ga16">discover_bus_t</a> bus);
00055 <span class="keywordtype">char</span> *<a class="code" href="group__conf.html#ga10">discover_conf_get_filetype_name</a>(<a class="code" href="group__types.html#ga17">discover_filetype_t</a> filetype);
00056 <span class="keywordtype">int</span> <a class="code" href="group__conf.html#ga1">discover_conf_name_to_bus</a>(<span class="keywordtype">char</span> *name, <a class="code" href="structdiscover__error.html">discover_error_t</a> *status);
00057 
00058 <span class="preprocessor">#ifdef __cplusplus</span>
00059 <span class="preprocessor"></span>    }
00060 <span class="preprocessor">#endif</span>
00061 <span class="preprocessor"></span>
00062 <span class="preprocessor">#endif</span>
</pre></div><hr size="1"><address style="align: right;"><small>Generated on Thu Jul 28 03:38:00 2005 for discover by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.2 </small></address>
</body>
</html>
